Skip to content

Resend To Payment Method

Request

Attempt to re-send the payment method for a payment.This will not create a new payment, but re-send the payment to the specified payment method. This can be used many times and have different behaviour depending on the type of method used.

  • If a payment link method is used, the payment link will be sent again.
  • If a terminal method is used, the payment will be sent to the specified terminal.
  • If a invoice method is used, we will send a invoice to the specified invoice type.

Rely on webhooks to get notified about the result of the action.

Security
OAuth2ClientCredentials(Required scopes: organization:payflow:create)
Headers
X-Organization-Idstring(X-Organization-Id)

Required if the account is part of multiple organizations. If the account only has access to one organization, this header is not required.

Bodyapplication/jsonrequired
payflow_idstring(Payflow Id)^[a-fA-F0-9]{24}$required
payment_method_idstring(Payment Method Id)^[a-fA-F0-9]{24}$required
POST
/payment-methods/resend
curl -i -X POST \
  https://api.spensepay.com/partner/payment-methods/resend \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-Organization-Id: string' \
  -d '{
    "payflow_id": "string",
    "payment_method_id": "string"
  }'

Responses

Successful Response

Bodyapplication/json
property name*anyadditional property
Response
{}